Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.form
Class NodeHandlerSupport

    java.lang.Object
      com.tonbeller.wcf.form.NodeHandlerSupport

All Implemented Interfaces:
  NodeHandler

Direct Known Subclasses:
  LogItems, TableHandler, TestItems, TreeHandler

public class NodeHandlerSupport
extends java.lang.Object
implements NodeHandler

default implementation of a NodeHandler

Author:
  av

Constructor Summary
`NodeHandlerSupport()`

Method Summary
`void` | `destroy(javax.servlet.http.HttpSession session)`
`org.w3c.dom.Element` | `getElement()` Returns the element.
`XmlComponent` | `getXmlComponent()`
`void` | `initialize(RequestContext context, XmlComponent comp, org.w3c.dom.Element element)` initializes the handler
`void` | `render(RequestContext context)` does nothing

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeHandlerSupport

    public NodeHandlerSupport()

Method Detail

### initialize

    public void initialize(RequestContext context,
                           XmlComponent comp,
                           org.w3c.dom.Element element)
                    throws java.lang.Exception

  Description copied from interface: `NodeHandler`
  initializes the handler

  Specified by:
    `initialize` in interface `NodeHandler`
  Parameters:
    `context` - the current request
    `element` - the element that this handler is responsible for
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy(javax.servlet.http.HttpSession session)
                 throws java.lang.Exception

  Specified by:
    `destroy` in interface `NodeHandler`
  Throws:
    `java.lang.Exception`

### render

    public void render(RequestContext context)
                throws java.lang.Exception

  does nothing

  Specified by:
    `render` in interface `NodeHandler`
  Throws:
    `java.lang.Exception`

### getElement

    public org.w3c.dom.Element getElement()

  Returns the element.

  Returns:
    Element

### getXmlComponent

    public XmlComponent getXmlComponent()

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD